- entityDefinitions:
  - IDM_Method__is__BA: '{fdba3bcf-606f-43b9-8b7d-63bf0ca965f0}'
  - IDMB_Method__is__BA: '{64cc02fa-5aae-43df-8676-8031c18578d5}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_Method__is__BA;'
    forClassId: '&IDC_Method;'
    verb: 'is'
    name: 'BA'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_MethodIsOfTypeSpecified;'
    source: '&IDMB_Method__get__Parent_Class;'
    operator: '&IDI_RelationalOperator_ExactMatch;'
    target: '&IDC_BuildAttributeMethod;'
    
  - returnAttributeMethodBinding: '&IDMB_Method__is__BA;'
    executesMethod: '&IDM_Method__is__BA;'
